Package: java.sql

## Interface ResultSetMetaData

- - ### Methods Summary

    Methods
    Return type | Name and parameters
    --- | ---
    `Iterator` | `iterator()` Return an Iterator given a ResultSetMetaData.

- - ### Methods Detail

    - #### public Iterator iterator()

      Return an Iterator given a ResultSetMetaData. Enables Groovy collection method syntactic sugar on ResultSetMetaData.

      Returns:
        an iterator for the ResultSetMetaData
      Since:
        1.7